import argparse
parser = argparse.ArgumentParser()
parser.add_argument('genom', help='first three letters of id')
parser.add_argument('file', help='fasta file')
args = parser.parse_args()
if len(args.genom) != 3:
    raise Exception('wrong genom id format')
def main():
    faFile = file(args.file)
    line = False
    read = (None, None, False)
    k = 0
    while True:
        read = chainReadEntry(faFile, read[2])
        if read[0][0:3] == args.genom:
            print '>' + read[0],
            print read[1],
        if len(read[2]) == 0: #reached EOF
            break

def chainReadEntry(fp, lastLine = False):
    "reads next fasta entry, returns (id-line, sequence, next_read_line)"
    line = fp.readline() if lastLine == False else lastLine
    if (len(line) == 0):
        return False #EOF encountered
    if (line[0] != '>'):
        raise Exception("malformed fasta-file!\n" + str(fp.tell()))
    sequence = ''
    while True:
        seq_line = fp.readline()
        if (len(seq_line) == 0):
            break
        if seq_line[0] != '>':
            sequence += seq_line
        else:
            break
    return (line[1:], sequence, seq_line)

main()
