import argparse
parser = argparse.ArgumentParser()
parser.add_argument('transform', help='t for u->t transform, u for t->u')
parser.add_argument('file', help='fasta file')
args = parser.parse_args()
if args.transform != 't' and args.transform != 'u':
    raise Exception("first parameter should be either 'u' or 't'")
def main():
    faFile = file(args.file)
    line = False
    read = (None, None, False)
    while True:
        read = chainReadEntry(faFile, read[2])
        print '>' + read[0],
        if (args.transform == 't'):
            print read[1].replace('U', 'T'),
        elif (args.transform == 'u'):
            print read[1].replace('T', 'U'),
        if len(read[2]) == 0: #reached EOF
            break

def chainReadEntry(fp, lastLine = False):
    "reads next fasta entry, returns (id-line, sequence, next_read_line)"
    line = fp.readline() if lastLine == False else lastLine
    if (len(line) == 0):
        return False #EOF encountered
    if (line[0] != '>'):
        raise Exception("malformed fasta-file!\n" + str(fp.tell()))
    sequence = ''
    while True:
        seq_line = fp.readline()
        if (len(seq_line) == 0):
            break
        if seq_line[0] != '>':
            sequence += seq_line
        else:
            break
    return (line[1:], sequence, seq_line)

main()
