#!/usr/local/bin/bash

# generateDataset.sh <pathToSampleset> <datasetGenerationFunction> ..<additionalParams>
# 
# exampler run: 
# generateDataset.sh sampleSets/hsa2012 2

SRS_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [ -z "$1" ] || [ -z "$2" ]; then
  echo "usage:"
  echo "generateDataset.sh <pathToSampleset> <datasetGenerationFunction> ..<additionalParams>"
  exit
fi

sampleSetPath=$(cd "$(dirname "$1")"; pwd)/$(basename "$1")

if [ ! -d $sampleSetPath ]; then
  echo "dir $sampleSetPath not exists, choose another sampleSet"
  exit
fi
if [ ! -f $sampleSetPath/.gp ]; then
  echo '$sampleSetPath not a true sampleSet, please generate one with ./formatSamples.sh'
  exit
fi

genomePackage=$(head -n 1 $sampleSetPath/.gp)

if [ ! -d "$SRS_DIR/genomePackages/$genomePackage" ]; then
  echo "dir not exists - $SRS_DIR/genomePackages/$genomePackage"
  exit
fi

name=""

for file in `ls $sampleSetPath/*.formatted`
do
  name="$name$file,"
done

GENOME_PACKAGE_PATH="$SRS_DIR/genomePackages/$genomePackage/"

mkdir -p $SRS_DIR/work
DATE=$(date +"%y%m%d%H%M")

echo "running source/datasetGenerator.py now, might take a while (:"

sampleSetOwnName=$(basename $sampleSetPath)

python $SRS_DIR/source/datasetGenerator.py ${GENOME_PACKAGE_PATH}hairpin.fa ${GENOME_PACKAGE_PATH}folds.txt ${GENOME_PACKAGE_PATH}aligned_mature.fa $name $2 $SRS_DIR/work/${sampleSetOwnName}_$2_$DATE.json $3 $4 $5 $6 $7 && printf "Done: \n$SRS_DIR/work/${sampleSetOwnName}_$2_$DATE.json\n"
