#!/usr/local/bin/bash

# example run:
# ./plot.sh work/ch12_custom1_16-02-01_16-28.json testplot

SRS_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [ -z "$1" ] || [ -z "$2" ]; then
  echo "usage:"
  echo "plot.sh <pathToDataset> <plot-function> ..<additionalParams>"
  exit
fi

datasetFile=$(cd "$(dirname "$1")"; pwd)/$(basename "$1")
plotScript=$SRS_DIR/source/plot/$2.py
outputFile=$SRS_DIR/work/$(basename -s .json $datasetFile)_$2.png

python source/runPlot.py $datasetFile $plotScript $outputFile $3 $4 $5 $6 $7

echo "finished."
