import numpy as np
import pandas as pd
from scipy import stats, integrate
import matplotlib.pyplot as plt
import matplotlib as mpl
import seaborn as sns
import pprint

def plot(data, output, args):

  sns.set(font_scale=1, palette='muted', rc={
     'axes.grid': True,
     'figure.figsize':(25,12),
     'lines.linewidth':1,
     'font.family': 'serif',
     'font.serif': """Computer Modern Roman, Bitstream Vera Serif, New Century Schoolbook, Century Schoolbook L, Utopia,\
     ITC Bookman, Bookman, Nimbus Roman No9 L, Times New Roman, Times, Palatino, Charter, serif"""
     })

  data['expression'] = data['5primemiRNAcount'] + data['3primemiRNAcount']

  f, (ax1, ax2) = plt.subplots(2)
  ax1.set_xscale('log')
  sns.boxplot(data=data, x='expression', ax=ax1)
  sns.boxplot(data=data, x='expression', ax=ax2,showfliers=False)
  plt.tight_layout() 

  plt.savefig(output)

