import numpy as np
import pandas as pd
from scipy import stats, integrate
import matplotlib.pyplot as plt
import matplotlib as mpl
import seaborn as sns
import pprint
import code
import readline

_offsetList = [-1,0,1]

def plot(data, output, args):

  sns.set(font_scale=1, palette='muted', rc={
     'axes.grid': True,
     'figure.figsize':(25,12),
     'lines.linewidth':1,
     'font.family': 'serif',
     'font.serif': """Computer Modern Roman, Bitstream Vera Serif, New Century Schoolbook, Century Schoolbook L, Utopia,\
     ITC Bookman, Bookman, Nimbus Roman No9 L, Times New Roman, Times, Palatino, Charter, serif"""
     })

  data['offsetMature'] = data.apply(lambda e: 'other' if e['offsetMature'] not in _offsetList else str(e['offsetMature']), axis = 1)
  
  grouped = data.groupby(['offsetMature', 'position'], as_index=False)
  plot_data = grouped.aggregate(np.sum)

  sns.factorplot(x='offsetMature', y='rpm', hue='position', data=plot_data, kind="bar", size = 12)

  plt.tight_layout() 
  plt.savefig(output)

