"""
Inscribes raw readcounts onto a dataset. Obsolete since scatterplot (which this was intendet to work on) now does it self.
"""

import numpy as np
import pandas as pd
from scipy import stats, integrate
import matplotlib.pyplot as plt
import matplotlib as mpl
import seaborn as sns
import pprint
import argparse
import code
import readline

def modifyName(name):
  return name.replace('.json', '_withOC.json')


parser = argparse.ArgumentParser()
parser.add_argument('dataset', help='dataset file')

args = parser.parse_args()
data = pd.read_json(open(args.dataset, 'r'))


aggregator = []
for sample_name, datagroup in data.groupby('sample'):
  datagroup = datagroup.copy()
  print '\t... ', sample_name
  the_counts = {}
  for line in open(sample_name):
    s = line.split('\t')
    seq = s[3]
    reads = int(s[0].split('-')[1])
    the_counts[seq] = {'count': reads, 'alignments': int(s[4])}
  datagroup['rawSRcount'] = datagroup.apply(lambda e: the_counts[e['srSequence']]['count'], axis = 1)
  datagroup['rawSRalignments'] = datagroup.apply(lambda e: the_counts[e['srSequence']]['alignments'] + 1, axis = 1)
  datagroup['rawMIRNAcount'] = datagroup.apply(lambda e: the_counts[e['miRNAseq']]['count'], axis = 1)
  datagroup['rawMIRNAalignments'] = datagroup.apply(lambda e: the_counts[e['miRNAseq']]['alignments'] + 1, axis = 1)
  aggregator.append(datagroup)

data = pd.concat(aggregator)
json = data.to_json(orient='records')
fp = open(modifyName(args.dataset), 'w')
fp.write(json)
fp.close()
print "written ", modifyName(args.dataset)
exit()

