"""
Separate expressionlevels into three groops for each sample.
Made for generate/groupedSR.py 
"""

import numpy as np
import pandas as pd
from scipy import stats, integrate
import matplotlib.pyplot as plt
import matplotlib as mpl
import seaborn as sns
import pprint
import argparse


def modifyName(name, number_grades):
  return name.replace('.json', '_graded_' + str(number_grades) + '.json')


parser = argparse.ArgumentParser()
parser.add_argument('dataset', help='dataset file')
parser.add_argument('number_grades', help='number bins to separate expressions into')

args = parser.parse_args()
data = pd.read_json(open(args.dataset, 'r'))
# try:
number_grades = int(args.number_grades)
# else:
  # print "invalid number_grades param"

  # tr

data['mirnaExpression'] = data['3primemiRNAcount'] + data['5primemiRNAcount']


thresholds = [x*1.0/number_grades for x in range(0,number_grades)]
thresholds = thresholds[1:]

groupby = data.groupby('sample')
p = []
for item, group in groupby:
  print item
  threshold_values = [group.quantile(x)['mirnaExpression'] for x in thresholds]

  def separator(value):
    grade = 0
    for x in threshold_values:
      if value > x:
        grade += 1
    return grade

  group['expressionGrade'] = group.apply(lambda row: separator(row['mirnaExpression']), axis=1)
  p.append(group)
data = pd.concat(p)
json = data.to_json(orient='records')
fp = open(modifyName(args.dataset, number_grades), 'w')
fp.write(json)
fp.close()
print modifyName(args.dataset, number_grades)
exit()

