"""
This script calls relevant plot file on the specified dataset and gives specified outputFile loc to the plot-script
"""

import argparse

# import plotting libs
import numpy as np
import pandas as pd
from scipy import stats, integrate
import matplotlib.pyplot as plt
import matplotlib as mpl
import seaborn as sns
import sys
import os
import imp
sns.set(color_codes=True)

parser = argparse.ArgumentParser()
parser.add_argument('dataset', help='dataset file')
parser.add_argument('plotFile', help='source/plot/<plotFile.py will be called for plotting')
parser.add_argument('outputFile', help='gp dataset to plot')
parser.add_argument('optarg1', nargs='?')
parser.add_argument('optarg2', nargs='?')
parser.add_argument('optarg3', nargs='?')
parser.add_argument('optarg4', nargs='?')
parser.add_argument('optarg5', nargs='?')
args = parser.parse_args()

def main():
  optargs = [args.optarg1, args.optarg2, args.optarg3, args.optarg4, args.optarg5, args.dataset]
  include_file_path = args.plotFile
  if (not os.path.isfile(include_file_path)):
    print include_file_path, " does not exists, dying"
    exit(1)
  pltFile = imp.load_source('', include_file_path)
  setupSns(20, 30, True)
  data = pd.read_json(open(args.dataset, 'r'))

  # try:
    # requiredColumns = pltFile.columns() 
    
  # except AttributeError:
    #method columns() not defined, columns-check not performed

  pltFile.plot(data, args.outputFile, optargs)

def setupSns(fsizeX = 30, fsizeY = 2, grid = False):
  sns.set(font_scale=1, palette='muted', rc={
   'axes.grid': grid,
   'figure.figsize':(fsizeX,fsizeY),
   'lines.linewidth':1,
   'font.family': 'serif',
   'font.serif': """Computer Modern Roman, Bitstream Vera Serif, New Century Schoolbook, Century Schoolbook L, Utopia,\
   ITC Bookman, Bookman, Nimbus Roman No9 L, Times New Roman, Times, Palatino, Charter, serif"""
   })

main()

